require "uu/os/form/input"

module UU
  module OS
    module Form
    
      # choice component
      class Choice < UU::OS::Form::Input
      
        # JSON with list of items for choice component. Items are not sorted and in component is showed in written order. Each item is a key - value pair.
        #
        # @example
        #   # set new list of items into item_list of choice component 
        #   choice.item_list = [
        #     {""=>"Choose value"},
        #     {"1"=>"First Item"},
        #     {"2"=>"Second Item"}
        #   ]
        #
        attr_accessor :item_list
        
        def item_list
          attributes[:itemList]
        end
        
        def item_list=(item_list)
          attributes[:itemList] = item_list
        end
      end
    end
  end
end